local _h, _w, _r
local bez = {}
local cir = {}
local segments = 4
local increment = 0
require("tools")



function love.keypressed(k)
    love.event.push('q') -- quit the game
end

function love.mousepressed( x, y, button )
    if button == "l" then
        increment = 1
    elseif button == "r" then
        increment = -1
    end
end


function love.mousereleased( x, y, button )
    if button == "l" then
        increment = 0
    elseif button == "r" then
        increment = 0
    end
end

function love.load()
    _h = love.graphics.getHeight( )
    _w = love.graphics.getWidth( )
    _r = math.min(_w/2,_h/2)
	love.graphics.setLineWidth(40)
   love.graphics.setFont(24)
    mouse_x = love.mouse.getX()
    mouse_y = love.mouse.getY()
cir = generate_circle("mid", 100, 40, segments, math.pi/2, 2*math.pi)
generate_bezier(bez, {0,0}, {150,segments*5-75},{300,0}, 20)

end

function love.update(dt)
    _h = love.graphics.getHeight( )
    _w = love.graphics.getWidth( )
    if increment ~= 0 then
        cir = nil
        segments = segments + increment
		if segments < 3 then segments = 3 end
        cir = generate_circle("mid", 100, 40, segments, math.pi/2, 2*math.pi)
		bez=nil
		bez = {}
		generate_bezier(bez, {0-segments,0}, {150,segments*3-75},{300+segments,0}, 20)
    end

end



function love.draw()
love.graphics.print( ""..segments.." segments",10, 10)

draw_quadstrip("fill",cir, 140,160)
love.graphics.circle("line", 400,160,100, segments)
draw_quadstrip("fill",bez, 140,320)

love.timer.sleep( 100 )


end